Docs

Get a CSV file for a report

Returns a link to a CSV file for a report.

GET /reports/{report_id}/download-url

Returns a link to a CSV file for a report.

Only returned for reports that are ready. This means Paddle has completed processing the report and it's ready to download.

The link returned is not a permanent link. It expires after 3 minutes.

Requires report.read permission.

Path parameters

report_idstringrequired
Paddle ID of the report entity.

Response (200)

metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
dataobjectrequired
urlstringrequired
URL of the requested resource.
Response
{
"data": {
"url": "https://reports.paddle.com/transactions-10889-2024-04-15-08-21-37.csv"
},
"meta": {
"request_id": "91899157-4d2a-432c-aa5b-041bb6266b55"
}
}

Was this page helpful?